## pd-mediasettings 0.1.1

=== Makefile ===
#!/usr/bin/make -f
# Makefile for pure data externals in lib creb.
# Needs Makefile.pdlibbuilder to work (https://github.com/pure-data/pd-lib-builder)

lib.name = mediasettings

# special file that does not provide a class
lib.setup.sources = 

# all other C and C++ files in subdirs are source files per class
# (alternatively, enumerate them by hand)
class.sources = audiosettings.c  midisettings.c

datafiles = \
audiosettings-help.pd  midisettings-help.pd \
LICENSE.txt \
README.txt \
mediasettings-meta.pd

cflags = -DVERSION='"$(lib.version)"'

################################################################################
### pdlibbuilder ###############################################################
################################################################################

# This Makefile is based on the Makefile from pd-lib-builder written by
# Katja Vetter. You can get it from:
# https://github.com/pure-data/pd-lib-builder
PDLIBBUILDER_DIR=pd-lib-builder/
include $(firstword $(wildcard $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder Makefile.pdlibbuilder))

=== debian/changelog ===
pd-mediasettings (0.1.1-5) unstable; urgency=medium

  * Fix d/watch
  * Update upstream homepage
  * Declare that "root" is not required to built this package
  * Bump standards version to 4.2.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 02 Dec 2018 21:17:51 +0100

pd-mediasettings (0.1.1-4) unstable; urgency=medium

  * Switched to system-provided Makefile.pdlibbuilder
    * Pass build-flags to all 'make' invocations

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 05 Feb 2018 14:41:20 +0100

pd-mediasettings (0.1.1-3) unstable; urgency=medium

  * Switched buildsystem from dh to cdbs
    * Bumped dh compat to 11
    * Dropped unneeded B-Ds
    * Enabled hardening
  * Updated Vcs-* stanzas to salsa.d.o
  * Updated maintainer address
  * Dropped obsolete git-tuneclone.sh
  * Switched URLs to https://
  * Updated d/copyright_hints
  * Updated d/watch
  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 01 Feb 2018 23:22:31 +0100

pd-mediasettings (0.1.1-2) unstable; urgency=medium

  * Fixed symlink to GPL-3.
    Thanks to Andreas Beckmann <anbe@debian.org> (Closes: #857827)
  * Fixed spelling error in long description.
  * Bumped standards-version to 3.9.8

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 15 Mar 2017 20:13:59 +0100

pd-mediasettings (0.1.1-1) unstable; urgency=medium

  [ IOhannes m zmölnig ]
  * Imported Upstream version 0.1.1

  * Reproducible build-date string
  * Updated debian/copyright
  * Added debian/git-tuneclone.sh script (documented in README.source)
  * Update Vcs-* stanza
  * Regenerated debian/(control|copyright_hints)
  * Updated debian/watch to new upstream homepage

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 23 Jan 2016 20:25:00 +0100

pd-mediasettings (0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #795899)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 24 Aug 2015 20:05:51 +0200

=== debian/control ===
Source: pd-mediasettings
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper (>=11~),
 dh-buildinfo,
 puredata-dev,
 pd-lib-builder,
Standards-Version: 4.2.1
Rules-Requires-Root: no
Section: sound
Homepage: https://git.iem.at/pd/mediasettings
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-mediasettings.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-mediasettings

Package: pd-mediasettings
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 puredata | pd,
Description: programmatically modify the audio and MIDI settings from within Pd
 This library adds a programmatic interface to Pd (Pure Data) to query the
 currently available audio and MIDI backends (like alsa, jack,...) and
 interfaces (like built-in soundcard, virtual devices,...), and allows one to
 enable and configure them from within a Pd patch.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright © 2010 Hans-Christoph Steiner <hans@eds.org>
# Copyright © 2018 IOhannes m zmölnig <umlaeute@debian.org>

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

pkglibdir = /usr/lib/pd/extra

%:
	dh $@

override_dh_install:
	dh_install
# fix permissions
	find $(CURDIR)/debian/*/$(pkglibdir) -name "*.pd_linux" -exec \
		chmod 0664 {} +
# remove license file so we can replace it with link to the Debian license file
	rm -f -- $(CURDIR)/debian/*/$(pkglibdir)/*/LICENSE.txt

override_dh_auto_clean \
override_dh_auto_build \
override_dh_auto_test \
override_dh_auto_install:
	$(patsubst override_%,%,$@) -- \
		PDLIBBUILDER_DIR=/usr/share/pd-lib-builder/ \
		prefix=/usr pkglibdir=$(pkglibdir) \
		arch.flags="" \
		CPPFLAGS="$(CPPFLAGS)" \
		CFLAGS="$(CPPFLAGS) $(CFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		$(empty)

licensecheck:
	licensecheck --deb-machine -r . \
		> debian/copyright_newhints
	cmp debian/copyright_hints debian/copyright_newhints \
		&& rm debian/copyright_newhints

=== debian/watch ===
# to be processed with uscan(1)
version=3
  https://git.iem.at/pd/mediasettings/tags .*/-/archive/v?@ANY_VERSION@/mediasettings-.*@ARCHIVE_EXT@

## pd-mediasettings 0.1.2

=== debian/changelog ===
pd-mediasettings (0.1.2-1) unstable; urgency=medium

  * New upstream version 0.1.2 (Closes: #1002785)

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Import new upstream version
  * Add versioned (Build-)Depends on Pd>=0.52
  * Refresh d/copyright
  * Apply "warp-and-sort -ast"
  * Add salsa-ci configuration
  * Remove obsolete file d/source/local-options
  * Bump dh-compat to 13
  * Bump standards version to 4.6.0


  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 19 Jan 2022 09:06:58 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper (>=11~),
+ debhelper-compat (= 13),
  dh-buildinfo,
- puredata-dev,
  pd-lib-builder,
-Standards-Version: 4.2.1
+ puredata-dev (>= 0.52~),
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Section: sound
 Homepage: https://git.iem.at/pd/mediasettings
@@ -18,9 +18,9 @@
 Package: pd-mediasettings
 Architecture: any
 Depends:
+ puredata (>= 0.52~) | pd (>= 0.52~),
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
- puredata | pd,
 Description: programmatically modify the audio and MIDI settings from within Pd
  This library adds a programmatic interface to Pd (Pure Data) to query the
  currently available audio and MIDI backends (like alsa, jack,...) and

## pd-mediasettings 0.1.3

=== debian/changelog ===
pd-mediasettings (0.1.3-6) unstable; urgency=medium

  * Team Upload
  * Remove obsolete dh-buildinfo build dependency
  * Bump standards version to 4.7.2
  * Drop "Rules-Requires-Root: no", it is the new default

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Update git repository layout to follow DEP-14

 -- Alexandre Detiste <tchet@debian.org>  Sun, 19 Oct 2025 10:42:53 +0200

pd-mediasettings (0.1.3-5) unstable; urgency=medium

  * Switch to dh-sequence-puredata
  * Add Provides stanza
  * Fix d/watch
  * Bump standards version to 4.7.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 18 Jun 2024 20:48:59 +0200

pd-mediasettings (0.1.3-4) unstable; urgency=medium

  * Build for both single and double-precision Pd
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 05 Jul 2023 15:16:49 +0200

pd-mediasettings (0.1.3-3) unstable; urgency=medium

  * Remove superfluous deletion of LICENSE.txt prior to symlinking it.
  * Modernize 'licensecheck' target
    + Ensure that 'licensecheck' is run with the C.UTF-8 locale

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 07 Dec 2022 10:48:11 +0100

pd-mediasettings (0.1.3-2) unstable; urgency=medium

  * Switch to dh-sequence-pd-lib-builder
  * Update d/upstream/metadata
  * Fix whitespace in package description
  * Modernize 'licensecheck' target
    + Exclude debian/ from licensecheck
    + Regenerate d/copyright_hints
  * Bump d/watch standard to 4

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 06 Dec 2022 14:14:31 +0100

pd-mediasettings (0.1.3-1) unstable; urgency=medium

  * New upstream version 0.1.3
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 05 Aug 2022 21:47:13 +0200

=== debian/control ===
Source: pd-mediasettings
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-puredata,
 puredata-dev (>= 0.52~),
Standards-Version: 4.7.2
Section: sound
Homepage: https://git.iem.at/pd/mediasettings
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-mediasettings.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-mediasettings

Package: pd-mediasettings
Architecture: any
Depends:
 puredata (>= 0.52~) | pd (>= 0.52~),
 ${misc:Depends},
 ${puredata:Depends},
 ${shlibs:Depends},
Recommends:
 ${puredata:Recommends},
Suggests:
 ${puredata:Suggests},
Provides:
 ${puredata:Provides},
Description: programmatically modify the audio and MIDI settings from within Pd
 This library adds a programmatic interface to Pd (Pure Data) to query the
 currently available audio and MIDI backends (like alsa, jack, ...) and
 interfaces (like built-in soundcard, virtual devices, ...), and allows one to
 enable and configure them from within a Pd patch.

=== debian/watch ===
# to be processed with uscan(1)

version=4
opts=\
 searchmode=plain,\
 uversionmangle=s/-/./g,\
 dversionmangle=auto \
 https://git.iem.at/pd/mediasettings/tags?sort=updated_desc -/archive/v?\d[\d.-]+/mediasettings-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
